"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var background_geolocation_1 = require("./background-geolocation");
var HeadlessJobService = /** @class */ (function (_super) {
    __extends(HeadlessJobService, _super);
    function HeadlessJobService() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    HeadlessJobService.prototype.onStartJob = function (params) {
        var _this = this;
        console.log('[BackgroundGeolocationHeadlessJobService] - onStartJob');
        var extras = params.getExtras();
        var event = extras.getString('event');
        var data = JSON.parse(extras.getString('params'));
        background_geolocation_1.BackgroundGeolocation.invokeHeadlessTask({ name: event, params: data }, function () {
            _this.jobFinished(params, false);
        });
        return true;
    };
    HeadlessJobService.prototype.onStopJob = function (params) {
        this.jobFinished(params, false);
        return true;
    };
    HeadlessJobService = __decorate([
        JavaProxy("com.transistorsoft.backgroundgeolocation.HeadlessJobService")
    ], HeadlessJobService);
    return HeadlessJobService;
}(android.app.job.JobService));
